An API key is a token that you provide when making API calls. Read more about how to secure your project.
Include the API key to the Authorization header, for instance:
-H 'Authorization: Bearer 6436fc5237b0d6e0d64253fbaac21d135012ecf1'If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:
const client = new MeiliSearch({
host: 'MEILISEARCH_URL',
apiKey: '6436fc5237b0d6e0d64253fbaac21d135012ecf1'
});The unique identifier of the chat workspace.
Settings for a chat workspace
LLM provider to use for chat completions
openAi, mistral, azureOpenAi, vLlm Organization ID for the LLM provider
"dcba4321..."
Project ID for the LLM provider
"4321dcba..."
API version for the LLM provider
"2024-02-01"
Deployment ID for Azure OpenAI
"1234abcd..."
Base URL for the LLM API
"https://api.mistral.ai/v1"
API key for authentication with the LLM provider
"abcd1234..."
Custom prompts for chat completions
Chat settings retrieved.